#!/usr/bin/php
<?php


if ($argc<2) {
	echo "kein Dateiname angegeben:\nBenutzung: ".$argv[0]." <datei> [starlog]\n";
	exit;
}

$filename = $argv[1];

$mode = 'default';
if(isset($argv[2]) and $argv[2] == 'starlog') {
    $mode = 'starlog';
}

$feed = @simplexml_load_file($filename);
if (!$feed) {
	echo "Konnte Datei $filename nicht lesen\n";
	exit;
}


foreach($feed->channel->item as $item) {
	$guid = (string)$item->guid;
	if(preg_match('=archive.org/details/(.*)$=', $guid, $m)) {
		if ($mode == 'starlog') {
			if (preg_match('=\d{3}=', $m[1], $m2)) {
				printf("https://archive.org/download/%s/%s.pdf\n", $m[1], $m2[0]);
			} else {
				print("Error: couldn't create download link for $guid\n");
			}
		} else {
			printf("https://archive.org/download/%s/%s.pdf\n", $m[1], $m[1]);
		}
		
	}
}